# BuildCache

interface BuildCache

Configuration object for a build cache.

#### Since

3.5

#### Inheritors

AbstractBuildCache

## Functions

isEnabled
Link copied to clipboard
abstract fun isEnabled(): Boolean
Returns whether the build cache is enabled.
isPush
Link copied to clipboard
abstract fun isPush(): Boolean
Returns whether a given build can store outputs in the build cache.
setEnabled
Link copied to clipboard
abstract fun setEnabled(enabled: Boolean)
Sets whether the build cache is enabled.
setPush
Link copied to clipboard
abstract fun setPush(enabled: Boolean)
Sets whether a given build can store outputs in the build cache.